import { PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class ScsUsercenter {
  [PrimaryKeyProp]?: 'Id';
  Id!: bigint;
  UserId!: bigint;
  DownCount!: number;
  ContributionCount!: number;
  UploadCount!: number;
  PassCount!: number;
  FailCount!: number;
  Revision!: number;
  CreatedBy?: bigint;
  CreatedTime!: Date;
  UpdatedBy?: bigint;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
}

export const ScsUsercenterSchema = defineEntity({
  class: ScsUsercenter,
  comment: '个人中心',
  properties: {
    Id: p.bigint().primary().name('Id').unsigned(false).autoincrement(false).comment('主键Id'),
    UserId: p.bigint().name('UserId').comment('用户id'),
    DownCount: p.integer().name('DownCount').comment('下载量'),
    ContributionCount: p.integer().name('ContributionCount').comment('贡献值'),
    UploadCount: p.integer().name('UploadCount').comment('上传量'),
    PassCount: p.integer().name('PassCount').comment('通过量'),
    FailCount: p.integer().name('FailCount').comment('驳回量'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
  },
});
